with GNATCOM.Dispinterface;

package MSHTML.IDOMEvent_Object is

   type IDOMEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_bubbles
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cancelable
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_currentTarget
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_defaultPrevented
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_eventPhase
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_target
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_timeStamp
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_type
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initEvent
     (This       : IDOMEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

   procedure preventDefault
     (This : IDOMEvent_Type);

   procedure stopPropagation
     (This : IDOMEvent_Type);

   procedure stopImmediatePropagation
     (This : IDOMEvent_Type);

   function Get_isTrusted
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cancelBubble
     (This : IDOMEvent_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_cancelBubble
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_srcElement
     (This : IDOMEvent_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IDOMEvent_Object;

